' --------------------------------------------------
' Maxwell Vbs created by PExprt(TM) Release 2021 R1
'  2021 UPM-SAS IP, Inc.
' --------------------------------------------------
Dim oAnsoftApp
Dim oDesktop
Dim oProject
Dim oDesign
Dim oEditor
Dim oModule
Dim f, frq(13)
Dim w1, w2, ip(3, 3)
Set oAnsoftApp = CreateObject("Ansoft.ElectronicsDesktop.2021.1")
Set oDesktop = oAnsoftApp.GetAppDesktop()
Set oProject = oDesktop.SetActiveProject("Flyback_PAR")

frq(0) = "1.0Hz"
frq(1) = "10.0kHz"
frq(2) = "17.8kHz"
frq(3) = "31.6kHz"
frq(4) = "56.2kHz"
frq(5) = "100.0kHz"
frq(6) = "177.8kHz"
frq(7) = "316.2kHz"
frq(8) = "562.3kHz"
frq(9) = "1.0MHz"
frq(10) = "1.8MHz"
frq(11) = "3.2MHz"
frq(12) = "5.6MHz"
frq(13) = "10.0MHz"

For w1 = 0 To 3
  For w2 = 0 To 3
    If w1 = w2 Then
      ip(w1, w2) = "1A"
    Else
      ip(w1, w2) = "0A"
    End If
  Next
Next

For f = 0 To 13
  For w1 = 0 To 3
    Set oDesign = oProject.SetActiveDesign("Setup" + CStr(w1 + 1))
    Set oModule = oDesign.GetModule("FieldsReporter")

    oModule.EnterQty "J"
    oModule.CalculatorWrite "J" + CStr(w1 + 1) + "_" + CStr(f + 1) + ".reg", _
      Array("Solution:=", "Setup" + CStr(w1 + 1) + " : LastAdaptive"), _
      Array("Freq:=", frq(f), _
        "Ipeak1:=", ip(w1, 0), _
        "Ipeak2:=", ip(w1, 1), _
        "Ipeak3:=", ip(w1, 2), _
        "Ipeak4:=", ip(w1, 3), _
        "Phase:=", "0deg")

    oModule.EnterQty "H"
    oModule.CalculatorWrite "H" + CStr(w1 + 1) + "_" + CStr(f + 1) + ".reg", _
      Array("Solution:=", "Setup" + CStr(w1 + 1) + " : LastAdaptive"), _
      Array("Freq:=", frq(f), _
        "Ipeak1:=", ip(w1, 0), _
        "Ipeak2:=", ip(w1, 1), _
        "Ipeak3:=", ip(w1, 2), _
        "Ipeak4:=", ip(w1, 3), _
        "Phase:=", "0deg")
  Next
Next
